%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name debtcollector
%define version 1.21.0
%define unmangled_version 1.21.0
%define unmangled_version 1.21.0
%define release 1

Summary: A collection of Python deprecation patterns and strategies that help you collect your technical debt in a non-destructive manner.
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}debtcollector
Version: %{version}
Release: %{release}
Source0: debtcollector-%{unmangled_version}.tar.gz
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/debtcollector-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenStack <openstack-discuss@lists.openstack.org>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://docs.openstack.org/debtcollector/latest


%description
========================
Team and repository tags
========================

.. image:: https://governance.openstack.org/tc/badges/debtcollector.svg
    :target: https://governance.openstack.org/tc/reference/tags/index.html

.. Change things from this point on

Debtcollector
=============

.. image:: https://img.shields.io/pypi/v/debtcollector.svg
    :target: https://pypi.org/project/debtcollector/
    :alt: Latest Version

A collection of Python deprecation patterns and strategies that help you
collect your technical debt in a non-destructive manner. The goal of this
library is to provide well documented developer facing deprecation
patterns that start of with a basic set and can expand into a larger
set of patterns as time goes on. The desired output of these patterns
is to apply the warnings module to emit DeprecationWarning or PendingDeprecationWarning
or similar derivative to developers using libraries (or potentially
applications) about future deprecations.


* Free software: Apache license
* Documentation: https://docs.openstack.org/debtcollector/latest
* Source: https://git.openstack.org/cgit/openstack/debtcollector
* Bugs: https://bugs.launchpad.net/debtcollector
* Release Notes: https://docs.openstack.org/releasenotes/debtcollector




%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n debtcollector-%{unmangled_version} -n debtcollector-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
